Bug 158457 - Long tape commands (e.g. erase) timeout on dpt_i2o.
Long tape commands (e.g. erase) timeout on dpt_i2o.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
Depends On:
Blocks: 156320
  Show dependency treegraph
Reported: 2005-05-22 10:38 EDT by Tom Coughlan
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-28 11:11:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Coughlan 2005-05-22 10:38:35 EDT
This bug was reported on RHEL 2.1 BZ 157662. The fix is needed in RHEL 3 as well. 

Certain tape operations timeout. This is because the driver incorrectly
overrides the command timeout set by the tape driver. Some tape commands, like
erase, can take a very long time. This was not seen before because it is
somewhat unsuual to put tapes on a dpt_i20 adapter. 

The patch is just a few lines. It leaves the command timeout alone for tape
devices, and it fixes two obvious typos. It has been proposed upstream, with no
objections, but is not in yet. It has been in the Adaptec version of the driver
for a long time. 

The time to prepare and test the patch is 4 hours.
Comment 4 Tom Coughlan 2005-06-22 11:10:31 EDT
We do not have a dpt_i2o with a tape on it. I would propose not to bother
testing that, since the customer verified it (an AS 2.1), it is an obvious fix,
and it is a non-typical set up. Instead, I would do a quick regression test on a
disk-based dpt_i2o. 

This was a Big Deal for Hitachi on AS 2.1 (apparently they ship a system set up
this way). We need to fix it in AS 2.1. We don't want them to regress when they
go to RHEL 3.  
Comment 7 Ernie Petrides 2005-07-15 20:24:32 EDT
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.12.EL).
Comment 10 Red Hat Bugzilla 2005-09-28 11:11:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.